package org.ts.ddcs.DataTemplate;

import com.alibaba.fastjson.JSONArray;
import com.alibaba.fastjson.JSONObject;
import org.ts.ddcs.log.LogHelper;
import org.ts.ddcs.Tool.BytesHelp;

/**
 * 水资源查询测站编码
 * 0x50
 */
@SuppressWarnings("all")
public class DataTemplateSzyC50 extends DataTemplateSzy2012 {

    private String dataInfo;

    @Override
    public void Stream() {
        try {
            if (dataLen > 0) {
                int count = 0;
                JSONObject jsonData = new JSONObject();
                jsonData.put("func", "50");
                if (this.dataArea.length == 5) {
                    JSONArray datas = new JSONArray();
                    datas.add( BytesHelp.byte2HexStr(this.dataArea));
                    jsonData.put("data", datas);
                    this.dataInfo = jsonData.toJSONString();
                } else {
                    LogHelper.info("******************* 50 DATA ERROR******************* ");
                }
            }
        } catch (Exception e) {
            LogHelper.error(e);
        }
    }

    @Override
    public String getDataInfo() {
        return dataInfo;
    }
}
